.section-intro {
    color: black;
    padding: 0px;

    &-slider {
        padding: 0px;
    }

    .header-transparent & {
        padding-top: 166px;
    }
    
    &__buttons {
        margin-top: 40px;
        > * {
            vertical-align: middle;
            display: inline-block;
        }
    }

    &__bg {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 10;
        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: center;
        }
        &:after {
            content: " ";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
        }

        &--overlay {
            .section-intro--white &,
            .section-intro--light & {
                &::before {
                    position: absolute;
                    content: "";
                    top: 0;
                    left: 0;
                    width: 100%;
                    height: 100%;
                    background-image: linear-gradient(to right, #F7F9FC, transparent);
                    z-index: 20;
                }    
                img {
                    filter: grayscale(100%);
                }
                &:after {
                    background-color: #c4d5ef;
                    mix-blend-mode: screen;
                }
            }   
            .section-intro--dark & {
                opacity: .35;
            }
        }

        
    }

    &--dark {
        color: white;
        background-color: black;
    }

    .container {
        z-index: 30;
    }

    &__content {
        margin: 90px 0px;
        @include md {
            margin: 80px 0px;
        }
        @include sm {
            margin: 60px 0px;
        }
        @include xs {
            margin: 40px 0px;
        }
    }


    &__title {
        margin: 0;
        font-family: $font-geometria;
        font-size: 44px;
        font-weight: 900;
        line-height: (46/44);
        @include rfonts(44, 36, 28, 22);
    }

    &__text {
        margin: 0;
        margin-top: 12px;
        padding: 0;
        padding-right: 30px;
        font-family: $font-root;
        font-size: 18px;
        font-weight: 400;
        line-height: (28/18);

        @include rfonts(18, 18, 16, 14);
    }


    &__widget {
        @include md {
            margin-bottom: 60px;
        }
        @include sm {
            margin-bottom: 50px;
        }
        &__form {
            background-color: white;
            padding: 45px;
            margin: 50px 0 50px auto;
            max-width: 420px;
            color: black;
            @include md {
                max-width: none;
                margin: 0;
                padding: 40px;
            }
            @include sm {
                padding: 30px;
            }
            @include xs {
                padding: 25px;
            }

            &__title {
                font-family: $font-geometria;
                font-weight: 600;
                font-size: 26px;
                letter-spacing: -0.01em;
                line-height: 1;
            }

            form {
                width: 100%;
            }

            .form {
                margin-left: 0px;
                margin-right: 0px;
                margin-top: 20px;
            }

            br {
                display: none;
            }

            input {
                width: 100% !important;
                border-radius: 0px !important;
                margin-top: -1px;
                display: block;

                &:focus {
                    z-index: 10;
                }

                &[name*="email"],
                &[name*="name"],
                &[name*="phone"] {
                    padding-left: 56px;
                    background-repeat: no-repeat;
                    background-size: 18px;
                    background-position: 27px 50%;
                }

                &[name*="email"] {
                    background-image: url('../img/ui/bx-envelope.svg');
                }

                &[name*="name"] {
                    background-image: url('../img/ui/bx-user-circle.svg');
                }

                &[name*="phone"] {
                    background-image: url('../img/ui/bx-phone.svg');
                }
                
            }

            button[type="submit"] {
                @extend .button, .button--pink, .button--dots, .button--full;
                margin-top: 20px;
            }

            .form__disclaimer {
                max-width: 245px;
                font-family: $font-root;
                font-size: 12px;
                line-height: 1.33;
                margin-top: 15px;
            }
        }

        &__video {
            display: block;
            width: 155px;
            margin: 0 auto;
            font-family: $font-geometria;
            font-weight: 600;
            font-size: 18px;
            text-align: center;

            .section--dark & {
                color: white;
                &:hover svg {
                    fill: white;
                }
            }

            svg {
                fill: none;
                stroke: #000;
                margin-bottom: 10px;
                .section--dark & {
                    stroke: white;
                }
            }

            &:hover svg {
                fill: black;
            }
        }
    }
}

.breadcrumbs {
    margin-top: 40px;
    // margin-left: -15px;
    font-family: $font-root;
    font-size: 16px;
    font-weight: 700;
    line-height: (25/16);
    color: black;

    @include sm {
        margin-top: 30px;
        font-size: 14px;
    }
    @include xs {
        margin-top: 20px;
        font-size: 12px;
    }

    .section-intro--dark & {
        color: white;
    }

    a {
        cursor: pointer;
        color: inherit;
    }

    .breadcrumb {
        list-style: none;
        display: flex;
    }

    .breadcrumb-item {
        margin: 0 13px;

        &:first-child {
            margin-left: 0;
        }

        &:not(:last-child)::after {
            content: "";
            position: absolute;
            top: 50%;
            right: -15px;
            width: 5px;
            height: 5px;
            border: 1px solid black;
            border-width: 0 1px 1px 0;
            transform: translateY(-50%) rotate(-45deg);
            .section-intro--dark & {
                border-color: white;
            }
        
        }

        &:not(:first-child):last-child {
            opacity: 0.6;
        }
    }

    
}

.header--transparent + .content > .section-intro {
    margin-top: -126px;
    padding-top: calc(85px + 126px);
    padding-bottom: 107px;
    min-height: calc(351px + 126px);
    color: white;

    &::before {
        content: none;
    }

    .breadcrumbs {
        color: white;
    }

    .breadcrumb-item:not(:last-child)::after {
        border-color: white;
    }

    a {
        color: white;
    }
}

.intro-slider {
    &__dots {
        margin-left: 20px;
        top: 1px;
        @include md {
            display: none;
        }
        .glide__bullet {
            appearance: none;
            width: 15px;
            height: 15px;
            background-color: transparent;
            border-radius: 50%;
            border: 1px solid transparent;
            opacity: .5;
            margin-right: 5px;
            cursor: pointer;
            &:hover {
                opacity: 1;
            }

            &--active {
                border-color: white;
                opacity: 1;
            }

            &:before {
                content: "";
                width: 7px;
                height: 7px;
                background-color: white;
                border-radius: 50%;
                margin: 3px auto;
                display: block;
            }
            
        }
    }
}

.section-intro--light,
.section-intro--white {
    .glide__bullet {
        &--active {
            border-color: black;
        }

        &:before {
            background-color: black;
        }
    }
}

/*
*   Adaptive slider styles
*/
.glide__slide {
    height: auto;
    @include md {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .section-intro__content {
        @include md {
            margin: 40px 0;
        }
        @include sm {
            margin: 30px 0;
        }
    }

    

    .section-intro__buttons--mobile {
        position: absolute;
        display: flex;
        justify-content: center;
        left: 0;
        bottom: 5px;
        width: 100%;
        z-index: 100;
        .button {
            display: none;
        }
        .intro-slider__dots {
            display: none;
            @include md {
                display: block;
            }
        }
    }
}